Bug 1223266 (CVE-2015-1258) - CVE-2015-1258 chromium-browser: Negative-size parameter in Libvpx.
Summary: CVE-2015-1258 chromium-browser: Negative-size parameter in Libvpx.
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2015-1258
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1223276 1223277 1225732
Blocks: 1223255
TreeView+ depends on / blocked
 
Reported: 2015-05-20 08:56 UTC by Vasyl Kaigorodov
Modified: 2019-09-29 13:32 UTC (History)
1 user (show)

Fixed In Version: Chrome 43.0.2357.65
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 02:41:19 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1023 normal SHIPPED_LIVE Important: chromium-browser security update 2015-05-25 07:25:57 UTC

Description Vasyl Kaigorodov 2015-05-20 08:56:03 UTC
An unspecified negative-size parameter flaw was found in the Libvpx.  component of the Chromium browser.

Upstream bug: https://code.google.com/p/chromium/issues/detail?id=450939

External References:

http://googlechromereleases.blogspot.com/2015/05/stable-channel-update_19.html

Comment 2 errata-xmlrpc 2015-05-25 03:26:52 UTC
This issue has been addressed in the following products:

  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2015:1023 https://rhn.redhat.com/errata/RHSA-2015-1023.html

Comment 3 Huzaifa S. Sidhpurwala 2015-05-28 06:07:50 UTC
This issue was fixed in chromium, by limiting the size of the input stream to be 16384x16384. 


The following chromium commit (in embedded libvpx) fixes the issue:

https://chromium.googlesource.com/chromium/deps/libvpx/+/306d74445e38b203c38f222f7deecf674296215c

Comment 4 Huzaifa S. Sidhpurwala 2015-05-28 06:38:39 UTC
Created libvpx tracking bugs for this issue:

Affects: fedora-all [bug 1225732]

Comment 5 Huzaifa S. Sidhpurwala 2015-05-28 06:40:09 UTC
Statement:

Red Hat Product Security has rated this issue as having moderate security impact, a future update may address this flaw in libvpx.

Comment 6 Fedora Update System 2015-09-20 15:22:12 UTC
libvpx-1.4.0-5.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2015-09-24 08:24:32 UTC
libvpx-1.3.0-7.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2015-10-05 22:52:25 UTC
libvpx-1.3.0-7.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.